# make DCC common code

# Copyright (c) 2005 by Rhyolite Software

# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.

# THE SOFTWARE IS PROVIDED "AS IS" AND RHYOLITE SOFTWARE DISCLAIMS ALL
# WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL RHYOLITE SOFTWARE
# BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# Rhyolite Software DCC 1.2.74-1.24 $Revision$

DEPTH	=..
LIB	=dcc
SRCS	=aop.c ask.c ck.c ck2str.c ckbody.c ckfuz1.c ckfuz2.c ckmime.c	\
	ckparse.c ckwhite.c clnt_init.c clnt_send.c clnt_unthreaded.c	\
	cnt2str.c ipv6_conv.c daemon.c dccif.c dnsbl.c error_msg.c	\
	fnm_lineno.c fnm2path.c get_id.c get_port.c get_secs.c		\
	getifaddrs.c heap_debug.c header.c hstrerror.c inet_ntop.c	\
	load_ids.c lock_open.c logbad.c md5.c mkstemp.c op2str.c	\
	parse_log_opt.c parse_srvr_nm.c parse_whitefile.c parse_word.c	\
	print_info.c sign.c str2type.c str2cnt.c su2str.c type2str.c	\
	vsyslog.c

install:
	@:

@MAKE_LIB@
LDADD	=			# BSD/OS 4.2 gives $(LDADD) to ar
